capture log close

**** Please enter the directory containing your copy of the replication dataset between the quotes on the next line

local directory "C:\Users\saumitra\Dropbox\financeethnicconflict\israel_elections\stata\replication"
clear
cd "`directory'"

***** Output will be saved into replication\log . Please create a log directory if it does not already exist***


*****************************************************************
* Figure 1: Experimental Sequence and Asset Prices
*********************************************************
capture log close
set more off
cd "`directory'"
	use "stocktimeseries.dta", clear
	set scheme s1color
	
	
	label var normprice_imp "Asset Price Ratio (Initial = 1)"
*label var date "Day"



twoway (tsline normprice_imp if ticker=="TA25", lpattern(dash) lcolor(eltblue) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="PLE",  lcolor(forest_green) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="BEZQ", lpattern(dash) lcolor(emidblue) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="PALTEL",  lcolor(lime) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="LUMI", lpattern(dash) lcolor(dknavy) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="BOP",  lcolor(midgreen) lwidth(thin)) ///
	if date >= td(25jan2015) & date<=td(5may2015),tline(1feb2015,lpattern(dot))  yline(1,lpattern(dot)) tline(13feb2015)  tline(2mar2015) tline(12mar2015,lpattern(dash)) tline(19mar2015, lpattern(dot)) tline(17mar2015,lpattern(thick)) tline(2apr2015,lpattern(dash)) tline(16apr2015,lpattern(dot)) legend(label(1 "TA25") label(2 "PLE") label(3 "BEZQ") label(4 "PALTEL") label(5 "LUMI") label(6 "BOP")) ylab(,labsize(small)) xlab(,labsize(small)) name(Figure1, replace) ///
			ttext(1.2 20apr2015 "LUMI", placement(e) color(dknavy) size(small)) ///
		ttext(1.15 20apr2015 "TA25", placement(e) color(eltblue) size(small)) ///
		ttext(1.12 20apr2015 "BEZQ", placement(e) color(emidblue) size(small)) ///
		ttext(1.01 20apr2015 "BOP", placement(e) color(midgreen) size(small)) ///
		ttext(0.94 20apr2015 "PLE", placement(e) color(forest_green) size(small)) ///
		ttext(0.89 19apr2015 "PALTEL", placement(e) color(lime) size(small)) ///
		ttext(0.9 31jan2015 "Initial Financial and Social Surveys" , orientation(vertical) placement(w) size(small)) ///
		ttext(0.87 11feb2015 "Financial trading begins" , orientation(vertical) placement(w) size(small)) ///
		ttext(0.87 11mar2015 "Early divestment (1/3)" , orientation(vertical) placement(w) size(small)) ///
		ttext(0.87 1apr2015 "Late divestment (2/3)" , orientation(vertical) placement(w) size(small)) ///
		ttext(1.15 17mar2015 "Elections, March 17" , orientation(vertical) placement(w) size(small)) ///
		ttext(0.87 16apr2015 "Information Survey" , orientation(vertical) placement(w) size(small)) ///
		tlabel(01feb2015 "Feb 1 2015" 01mar2015 "Mar 1 2015" 01apr2015 "Apr 1 2015" 01may2015 "May 1 2015" ) ///
		legend(off) saving("log\Figure1.gph",replace) 


**************************************************************************
* Figure 2: What Can the Researchers Learn from this Study?
***************************************************************************

capture log close
set more off
cd "`directory'"
use replicationdata.dta, clear
/*

label define coded_r_learned_labels ///
		0	"No label"	///
		1	"Behavior in general"	///
		2	"Risk management, are participants risk seekers or risk aversive"	///
		3	"Decision Making"	///
		4	"Capital market behavior, investment patterns"	///
		5	"Economic knowledge of participants / public"	///
		6	"Behavior and knowledge of non-experts / the average investor"	///
		7	"How to make the financial market more accessible (to the laity, those who are afraid to invest)"	///
		8	"The correlation between financial education financial behavior"	///
		10	"The public is not interested / is concerned by investing in stocks"	///
		11	"To what extent is the public interested in stocks and investments"	///
		12	"Lack of knowledge of the public about the capital market"	///
		13	"Characterization of Israeli investment patterns"	///
		14	"The reaction to capital market volatility"	///
		15	"Consistency / discipline during investment"	///
		16	"Other"	///
		17	"Meaningless answer"	///
		18	"No answer \ Random characters"	///
		19	"Do not know"	///
		20	"Futility"	///
		21	"Confidence in  Palestinian / Arab economies"	///
		22	"The research is artificial and gives limited opportunity to learn from"	///
		23	"How can the investment habits of subjects be changed"	///
		24	"have the subjects learned during the survey"	///
		25	"That participants are risk aversive"	///
		26	"One can earn from\ it is worthwhile to invest in stock exchange"	///
		27	"The public should be taught about investments"	///
		28	"The public will not become financially wiser  hence will continue to be exploited"	///
		29	"Much"	///
		30	"What motivates people / what attributes bring people to make certain choices /take risk"	///
		31	"Whether the person has made informed / reasoned / rational choices"	///
		32	"You cannot earn on the stock market"	///
		33	"Position regarding a specific share"	///
		34	"Is the way a person thinks / declares himself reflected in his actions"	///
		35	"Not much"	///
		36	"What characteristics (knowledge / luck) produce success in the capital market"	///
		37	"Has the survey attracted participants which did not invest in stocks to start doing so"	///
		38	"You should take a risk"	///
		39	"Success of a stock gain the public's trust in it"	///
		40	"Mistrust in Palestinian stocks"	///
		41	"There is no correlation between knowledge and willingness to take risk"	///
		42	"I do not understand in stocks"	///
		43	"Will the personal participation in the survey affect people's risk-taking"	///
		44	"Without guidance people will prefer to spend less and with minimum risk"	///
		45	"Relevant but strange response, pay attention to all the respondent's behavior"	///
		46	"You should invest in the capital market"	///
		47	"Laymen can invest"	///
		48	"Are participants willing to invest with non-Israeli stocks"	///
		49	"Is there a correlation between the knowledge or experience and gains"	///
		50	"Do people use information given to them when making decisions"	///
		51	"Identify potential private investors / marketing methods of financial products"	///
		52	"Is there a correlation between financial knowledge to the select investments"	///
		53	"Not to take a risk, one should be careful"	///
		54	"Capital market volatility"	///
		55	"There are many in the public which have the ability to succeed on the capital market"	///
		56	"Characteristics of the Capital Market"	///
		57	"Do investments have an element of gamble"	///
		58	"Is there a correlation between financial knowledge and risk taking"	///
		59	"Impact on the Knesset elections / political effects"	///
		60	"Will trading in the capital market have an impact on the tendency to take risks"	///
		61	"Choppy sentence (words which do no tjoin up to a sentence)"	///
		62	"there is a risk in investing in stocks"	///
		63	"The confidence in the capital market"	///
		64	"Gambling tendency of subjects"	///
		65	"Characterization types of investors"	///
		66	"Politics / religion can change people's decision-making / risk taking"	///
		67	"The impact of political positions on risk management"	///
		68	"People have low trust in other people"	///
		69	"Which stocks worth investing in"	///
		70	"Capital market success is due to luck rather than information"	///
		71	"Relative level of knowledge between Jews and Arabs"	///
		72	"How to invest intelligently"	///
		73	"The Arab and Israeli financial markets should be joined"	///
		74	"The relationship between investment management and social / political stands"	///
		75	"Should we rely on other people's minds"	///
		76	"Those who do not understand stocks should invest carefully"	///
		77	"Who knows\invest in the capital market"	///
		78	"Is it worthwhile investing in Bank Leumi"	///
		79	"The difference between people who invest and those who do not"	///
		80	"It is difficult to change people's opinions regarding foreign stocks"	///
		81	"We should let people experience stocks trading"	///
		82	"The public is involved in the capital market"	///
		83	"Political opinions"	///
		, replace
*/
capture program drop r_le_newcatdums
program define r_le_newcatdums
capture drop r_le_`1' 
gen r_le_`1' =  coded_r_learned_1 ==`2'
capture replace r_le_`1'= 1 if coded_r_learned_1==`3' |coded_r_learned_2==`3' |coded_r_learned_3==`3'
capture replace r_le_`1'= 1 if coded_r_learned_1==`4' |coded_r_learned_2==`4' |coded_r_learned_3==`4'
capture replace r_le_`1'= 1 if coded_r_learned_1==`5' |coded_r_learned_2==`5' |coded_r_learned_3==`5'

capture replace r_le_`1'= 1 if coded_r_learned_1==`6' |coded_r_learned_2==`6' |coded_r_learned_3==`6'
capture replace r_le_`1'= 1 if coded_r_learned_1==`7' |coded_r_learned_2==`7' |coded_r_learned_3==`7'
capture replace r_le_`1'= 1 if coded_r_learned_1==`8' |coded_r_learned_2==`8' |coded_r_learned_3==`8'
capture replace r_le_`1'= 1 if coded_r_learned_1==`9' |coded_r_learned_2==`9' |coded_r_learned_3==`9'
capture replace r_le_`1'= 1 if coded_r_learned_1==`10' |coded_r_learned_2==`10' |coded_r_learned_3==`10'
capture replace r_le_`1'= 1 if coded_r_learned_1==`11' |coded_r_learned_2==`11' |coded_r_learned_3==`11'
capture replace r_le_`1'= 1 if coded_r_learned_1==`12' |coded_r_learned_2==`12' |coded_r_learned_3==`12'
capture replace r_le_`1'= 1 if coded_r_learned_1==`13' |coded_r_learned_2==`13' |coded_r_learned_3==`13'
capture replace r_le_`1'= 1 if coded_r_learned_1==`14' |coded_r_learned_2==`14' |coded_r_learned_3==`14'
capture replace r_le_`1'= 1 if coded_r_learned_1==`15' |coded_r_learned_2==`15' |coded_r_learned_3==`15'
capture replace r_le_`1'= 1 if coded_r_learned_1==`16' |coded_r_learned_2==`16' |coded_r_learned_3==`16' 

replace r_le_`1'=. if r_le_`1'~=. & prim_treat=="NA"
label var r_le_`1' "researcher learned about `1'"
end

r_le_newcatdums elections 59 

r_le_newcatdums politics  66 67 83 74 
li coded_r_* r_le_politics if coarse_r_learned_1==12 |  coarse_r_learned_2==12 | coarse_r_learned_3==12

r_le_newcatdums econknowledge 5 6 8 12 24 26 27 28 36 41 42 49 52 70 71 
label var r_le_econknowledge "indiv. economic knowledge"
r_le_newcatdums levelofinterestinmkt 10 11 26
label var r_le_levelofinterestinmkt "level of interest in fin. markets"
    
r_le_newcatdums investorchoices 1 3 8 13 15 23 31 33 45 48 50 57 79 80
label var r_le_investorchoices "indiv. investment behaviour"

r_le_newcatdums riskattitudes 2 25 30 38 41 43 44 53 58 60
label var r_le_riskattitudes "attitudes towards risk"
r_le_newcatdums capitalmarket 4 14 36 54 55 56 77 82
label var r_le_capitalmarket "capital markets"
r_le_newcatdums confidencetrustinfin 21 32 39 40 46 47  
label var r_le_confidencetrustinfin "indiv. trust in fin. assets"
r_le_newcatdums increasefinaccessibility 7 37 81
label var r_le_increasefinaccessibility "how to increase fin. accessibility"
r_le_newcatdums sellstocks 51
label var r_le_sellstocks "how to sell stocks"
r_le_newcatdums whichstockstoinvest 69 72 78
label var r_le_sellstocks "to pick stocks"
r_le_newcatdums nothingornotmuch 20 22 35 20
r_le_newcatdums alot 29 
r_le_newcatdums dontknow 19
r_le_newcatdums trustinothers 68
r_le_newcatdums arabforeignfinmarkets 80 73

set scheme /*vg_s1c*/ s1color
graph bar (sum) r_le*, legend(cols(1) position(3) /*stack*/ label(1 "Elections") label(2 "Politics") label( 3 "Econ. Knowledge") label( 4 "Interest in Mkts") label( 5 "Investor Choices") label( 6 "Risk Attitudes") label( 7 "Capital Market") label( 8 "Trust in Mkt") label( 9 "Increase Fin. Access") label( 10 "Sell Stocks") label( 11 "Which Stocks to Invest") label( 12 "Nothing") label( 13 "A Lot") label( 14 "Don't Know") label( 15 "Trust in Others") label( 16 "Foreign Fin. Mkts"))
graph save "log\Figure2.gph", replace
		
		
		
********************************************************************************
* Figure 3: Vote in Treatment and Control Groups in 2013 and 2015
********************************************************************************
* PANEL A: HISTOGRAMS BY PARTY

set more off
use replicationdata.dta, clear
keep if left_s3<. 


* 2015 elections
tab party_s3, m gen(party_s3_d) 


gen position=34-3*party_s3 if assettreat==0
replace position=34-3*party_s3+1 if assettreat==1

replace position=34 if (party_s3==0 | party_s3==99) & assettreat==0	
replace position=35 if (party_s3==0 | party_s3==99) & assettreat==1

forvalues  num = 1/12 {
	foreach treatment in 0 1 {
		display " *** " 
		display  "party_s3_d`num'  treatment `treatment'"
		cap gen l_D =.
		cap gen m_D =.
		format m_D %3.2f
		cap gen u_D =.
		ci proportions party_s3_d`num' if assettreat==`treatment', level(95) // 95% conf interval
		replace l_D = r(lb)   if assettreat==`treatment' & party_s3_d`num'==1
		replace m_D = r(mean) if assettreat==`treatment' & party_s3_d`num'==1
		replace u_D = r(ub)   if assettreat==`treatment' & party_s3_d`num'==1
	}
}	

sort position


twoway ///
(bar m_D position if assettreat==0, color (gs3)) ///
(bar m_D position if assettreat==1, color(orange)) ///
(scatter m_D position , mc(black) mlabel(m_D) mlabc(gs6) mlabsize(*0.6) mlabgap(*1.5) mlabangle(60) mlabpos(1) msymbol(O) msize(tiny) ) /// 
,  legend(off)   ///
xlabel( 	///
31  "Habayit Hayehudi" ///
28  "Haam Itanu"  ///
25  "Israel Beitenu" ///
22  "Likud" ///
19 "Yahadut Hatorah" ///
16 "Shas" ///
13 "Kulanu" ///
10 "Yesh Atid" ///
7 "Zionist Union" ///
4 "Meretz" ///
1 "Arab Joint List" ///
34 "Other"  ///
, noticks labsize(small) angle(60)) xtitle("") xscale(range(-1 36))  ///
ytitle("") yscale(range(0 0.40))  scheme(s1mono) ///
title (2015 Elections) ///
name(party2015,replace) 


* 2013 elections

gen position13=.
replace position13=	1	if vote2013==	8 // meretz
replace position13=	4	if vote2013==	3 // labor
replace position13=	7	if vote2013==	7 //hatnua
replace position13=	10	if vote2013==	2 //yesh atid
replace position13=	13	if vote2013==	12 //kadima
replace position13=	16	if vote2013==	5 //shas
replace position13=	19	if vote2013==	6 // yahadut hatora
replace position13=	22	if vote2013==	1 //likud beitenu
replace position13=	25	if vote2013==	4 // habayit hayehudi
replace position13=	28	if vote2013==	13 // other
replace position13=	28	if vote2013==	14 // didn't vote

replace position13 =position13+1 if assettreat==1

gen vote2013_0=vote2013
replace vote2013_0=13 if vote2013==14 
tab vote2013_0, m gen(vote2013_0_d) 



forvalues  num = 1/10 {
	foreach treatment in 0 1 {
		display " *** " 
		display  "vote2013_0_d`num'  treatment `treatment'"
		cap gen l_D =.
		cap gen m_D =.
		format m_D %3.2f 
		cap gen u_D =.
		ci proportions vote2013_0_d`num' if assettreat==`treatment', level(95) // 95% conf interval
		replace l_D = r(lb)   if assettreat==`treatment' & vote2013_0_d`num'==1
		replace m_D = r(mean) if assettreat==`treatment' & vote2013_0_d`num'==1
		replace u_D = r(ub)   if assettreat==`treatment' & vote2013_0_d`num'==1
	}
}	

sort position13


twoway ///
(bar m_D position13 if assettreat==0, color (gs3)) ///
(bar m_D position13 if assettreat==1, color(orange)) ///
(scatter m_D position13 , mc(black) mlabel(m_D) mlabc(gs6) mlabsize(*0.6) mlabgap(*1.5) mlabangle(60) mlabpos(1) msymbol(O) msize(tiny) ) /// 
, legend(off)   ///
xlabel( 	///
1	"Meretz"	///
4	"Labor"	///
7	"Hatnuah"	///
10	"Yesh Atid"	///
13	"Kadima"	///
16	"Shas"	///
19	"Yahadut Hatorah"	///
22	"Likud Beitenu"	///
25	"Habayit Hayehudi"	///
28	"Other"	///
, noticks labsize(small) angle(60)) xtitle("") xscale(range(0 30))  ///
ytitle("") yscale(range(0 0.40)) scheme(s1mono) ///
title (2013 Elections) ///
name(party2013,replace) 


sum party_s3_d1
local N=r(N)

sum left_s3 if vote2013==14 // didn't vote 2013
local NV13=r(N)

sum party_s3_d1 if party_s3==0 // didn't vote 2015
local NV15=r(N)

graph combine party2013 party2015, ycommon subtitle(Panel A) /*altshrink*/ ///
	scheme(s1mono) ///
	l1title("Vote Share") ///
	name(party_hist, replace)


* PANEL B - LEFT/CENTER/RIGHT
set more off
use replicationdata.dta, clear
keep if left_s3<. 

cd log 

foreach var in left center right {
	gen `var'_2015=`var'_s3
}


gen centero_2013=(left_2013==0 & right_2013==0) & left_2013<. // includes "other" and 1 that did not vote
gen centero_2015=(left_s3==0 & right_s3==0) & left_s3<. // includes "other" and did not vote

tab centero_2013 coarseorder_2013
tab centero_2015 coarseorder_s3


foreach itime in 2015 2013 {

gen position_`itime'=1 if left_`itime' & assettreat==0
replace position_`itime'=2 if left_`itime' & assettreat==1

replace position_`itime'=4 if centero_`itime' & assettreat==0
replace position_`itime'=5 if centero_`itime' & assettreat==1

replace position_`itime'=7 if right_`itime' & assettreat==0
replace position_`itime'=8 if right_`itime' & assettreat==1


	foreach depvar in left centero right {
		foreach treatment in 0 1 {
			display " *** " 
			display  "`depvar'_`itime'  treatment `treatment'"
			cap gen l_D_`itime' =.
			cap gen m_D_`itime' =.
			format m_D_`itime' %4.3f
			cap gen u_D_`itime' =.
			ci proportions `depvar'_`itime' if assettreat==`treatment', level(95) // 95% conf interval
			replace l_D_`itime' = r(lb)   if assettreat==`treatment' & `depvar'_`itime'==1
			replace m_D_`itime' = r(mean) if assettreat==`treatment' & `depvar'_`itime'==1
			replace u_D_`itime' = r(ub)   if assettreat==`treatment' & `depvar'_`itime'==1
		}
	}	

	sort position_`itime'
}

foreach itime in 2015 2013 {

	twoway ///
	(bar m_D_`itime' position_`itime' if assettreat==0, color (gs3)) ///
	(bar m_D_`itime' position_`itime' if assettreat==1, color(orange)) ///
	(scatter m_D_`itime' position_`itime' , mc(black) mlabel(m_D_`itime') mlabc(gs6) mlabsize(*1.2) mlabg(*2) mlabp(12) msymbol(O) msize(tiny) ) /// 
	,  legend(order(1 "Control" 2 "Treatment"))   ///
	xlabel( 1.5 "Left" 4.5 "Center/Other" 7.5 "Right", noticks labsize(large )) xtitle("")  ///
	ytitle("") yscale(range(0 0.65))  scheme(s1mono) ///
	title (`itime' Elections) ///
	name(period`itime',replace) 
}


tab vote2013 coarseorder_2013,m  
tab vote_s3 coarseorder_s3 ,m
tab vote_s3 didvote_s3,m


sum left_2013
local N=r(N)

sum left_s3 if vote2013==13 & centero_2013
local OTH13=r(N)
sum left_s3 if vote2013==14 & centero_2013
local NV13=r(N)

sum left_s3 if party_s3==99 & centero_2015 // 
local OTH15=r(N)
sum left_s3 if didvote_s3==2 & centero_2015 //
local NV15=r(N)

graph combine period2013 period2015, ycommon altshrink subtitle(Panel B) ///
	scheme(s1mono) ///
	l1title("Vote Share") ///
	note("N=`N'. The 'other' bars include `OTH13' and `OTH15' individuals who voted for for other parties in 2013 and 2015, respectively," " as well as `NV13' and `NV15' individuals who did not vote in 2013 and 2015, respectively." , size(vsmall)) ///
	name(election_hist, replace)

graph combine party_hist election_hist, rows(2) ysize(10) xsize(8.5) /*altshrink*/ ///
	scheme(s1mono) ///
	name(Figure3, replace) saving("Figure3",replace)

	cd .. 
	

********************************************************************************
** Figure A1: Treatment Effects on the Ordered Vote Choice by Region, 2015 Elections
*** Constructed using ArcGIS. The numbers reflect the values calculated in Table B9.
**** See valuing_peace_tables.do

**********************************************************************************************************
** Figure A2 How Much of the Treatment Effect on the Vote can be explained by Different Mechanisms?
**********************************************************************************************************



set more off
use replicationdata.dta, clear

local dem_controls="male age age2 postsecondary BA_student college_grad married tradestock6all r_trad r_relig r_ultra g_jerusalem g_north g_haifa g_telaviv g_south g_wb i.newses willingrisk1to10 patient plitscore " 
/* omitted relid is Secular, omitted nafa is Center (both largest) */


*** Run all the channels one at a time...
local update="replace"

gen e_index_s1 = e_index_init

gen e_index_s3 = e_index_i_f

gen plitscore_s1 = plitscore


foreach var in detstmangrs_m12 detstworkrs_m12 detstmacro_m12 detstdompol_m12 detstinterstate_m12 detstpolitical_m12 q5_determinants_m12 {
replace `var' = 0 if `var'==.
}


foreach var in  news_fin news_nonfin news_fin_sum news_globe news_marker news_kalkalist news_nonfin_sum news_haaretz news_isrhayom pol_info_score econ_info_score pnewlitscore_jul15 eng_z ///
 ever_actout_preel pricechange_m16 detstmangrs_m12 detstworkrs_m12 detstmacro_m12 detstdompol_m12 detstinterstate_m12 detstpolitical_m12 e_index_jul15 /// 
 stockmktincome_cor_jul15 isreconincome_cor_jul15 {
capture drop `var'_s3 
gen `var'_s3 = `var'

}

local update="replace"

areg coarseorder_s3 assettreat `dem_controls' left_2013 right_2013 if p_index_s3~=. , r absorb(block13)
 outreg2 using log\mediation ,bdec(3)  keep(assettreat) noaster label excel ctitle(s3 sample) nocons ///
	`update'
	estimates store finsocial
local update="append"
	
areg coarseorder_s3 asset_comp `dem_controls' left_2013 right_2013 if (asset_comp==1 | assettreat==0), r absorb(block13)
 outreg2 using log\mediation ,bdec(3)  keep(asset_comp) noaster label excel ctitle(s3 sample) nocons ///
	`update'
	estimates store compliers
local update="append"
	
areg coarseorder_s3 assettreat `dem_controls' left_2013 right_2013 if news_fin~=., r absorb(block13)
 outreg2 using log\mediation ,bdec(3)  keep(assettreat) noaster label excel ctitle(jul15 sample) nocons ///
	`update'
estimates store july
local update="append"

areg coarseorder_s3 assettreat `dem_controls' left_2013 right_2013 if pol_info_score~=., r absorb(block13)
 outreg2 using log\mediation ,bdec(3)  keep(assettreat) noaster label excel ctitle(info sample) nocons ///
	`update'
estimates store infosurvey
local update="append"



label var q5_determinants_m12 "Drivers of Stock Value Mar 12."
label var news_fin "Reads Financial News"
label var news_globe "Reads Fin: Globe"
label var news_marker "Reads Fin: Marker"
label var news_kalkalist "Reads Fin: Kalkalist"

label var news_nonfin "Reads Non-Financial News"
label var stockmktincome_cor_jul15 "Income-Market Correl Percep"
label var isreconincome_cor_jul15 "Income-Israel Correl Percep"

label var rtwostisrsecurityaf_s3 "Two State Soln=>Isr. Security"
label var rtwostisreconomicaf_s3 "Two State Soln=>Isr. Economy"
label var rtwostperssafetyaf_s3 "Two State Soln=>Pers. Safety"
label var rtwostperseconomicaf_s3 "Two State Soln=>Pers. Income"


foreach var in p_index news_fin news_nonfin news_fin_sum news_globe news_marker news_kalkalist news_nonfin_sum news_haaretz news_isrhayom pol_info_score econ_info_score ///
  pnewlitscore_jul15  eng_z  e_index_jul15 ///
 ever_actout_preel pricechange_m16   {
areg coarseorder_s3 assettreat `var'_s3 `dem_controls' left_2013 right_2013, r absorb(block13)
estimates store `var'
 outreg2 using log\mediation ,bdec(3)  keep(assettreat `var'_s3) noaster label excel ctitle(`var') nocons ///
	`update'
}


foreach var in e_index s_index b_index swb_index rtwostisrsecurityaf rtwostisreconomicaf rtwostperssafetyaf ///
rtwostperseconomicaf  mainissueecon mainissuepolsec  {
areg coarseorder_s3 assettreat `var'_s3 `dem_controls' left_2013 right_2013 if p_index_s3~=., r absorb(block13)
estimates store `var'
 outreg2 using log\mediation ,bdec(3)  keep(assettreat `var'_s3) noaster label excel ctitle(`var') nocons ///
	`update'
}

foreach var in  eng_z  ever_actout_preel   {
areg coarseorder_s3 asset_comp `var' `dem_controls' left_2013 right_2013 if (asset_comp==1 | assettreat==0), r absorb(block13)
estimates store `var'
 outreg2 using log\mediation ,bdec(3)  keep(asset_comp) noaster label excel ctitle(`var') nocons ///
	`update'
}

foreach var in rsupport_set isreconincome_cor_jul15 stockmktincome_cor_jul15  rtwostisrsecurityaf_s3 rtwostisreconomicaf_s3 rtwostperssafetyaf_s3 rtwostperseconomicaf_s3 newlitscore_jul15 {
areg coarseorder_s3 assettreat i.`var' `dem_controls' left_2013 right_2013 , r absorb(block13)
estimates store i`var'
 outreg2 using log\mediation ,bdec(3)  keep(assettreat) noaster label excel ctitle(`var') nocons `update' 
}

areg coarseorder_s3 asset_comp i.q5_determinants_m12 `dem_controls' left_2013 right_2013 if (asset_comp==1 | assettreat==0), r absorb(block13)
estimates store q5_determinants_m12
 outreg2 using log\mediation ,bdec(3)  keep(asset_comp) noaster label excel ctitle(`var') nocons `update' /// 

coefplot finsocial  p_index s_index b_index swb_index irtwostisrsecurityaf_s3 irtwostisreconomicaf_s3 irtwostperssafetyaf_s3 ///
irtwostperseconomicaf_s3   mainissueecon mainissuepolsec /* plitscore_i_f fl_subjective_i_f */  , aseq swapnames nooffset  keep(assettreat) msymbol(0) ///
 coeflabels(finsocial = "Base ITT: Social Survey Sample [Mar 2015], N=1277" ///
               p_index = "Peace Index"  ///
               s_index = "Arab Social Index" ///
			   b_index ="Arab Business Index" ///
			   swb_index ="Subjective Well-Being Index" ///
			   irtwostisrsecurityaf_s3 = "Two State Soln=>Isr. Security" ///
			   irtwostisreconomicaf_s3 = "Two State Soln=>Isr. Economy" ///
			   irtwostperssafetyaf_s3 = "Two State Soln=>Pers. Safety" ///
			   irtwostperseconomicaf_s3 = "Two State Soln=>Pers. Income" ///
			   mainissueecon = "Main Issue in Election is Socioeconomic" ///
			   mainissuepolsec ="Main Issue in Election is Security", wrap(20) labsize(vsmall) ///
			   ) ///
xline(.0534422, lcolor(red))  legend(off)  horizontal ciopts(lcolor(green)) label(labsize(tiny)) mcolor(black) saving("log\mediationcoefplotsocial.gph", replace)



  coefplot compliers  eng_z ever_actout_preel q5_determinants_m12 , aseq swapnames nooffset  keep(asset_comp) msymbol(0) xline(.0497552, lcolor(red)) ///
  coeflabels(compliers = "Base TE: Compliers vs Control [Mar 2015], N=1108" ///
               eng_z = "Engagement Index"  ///
               ever_actout_preel = "Traded Outside Exp. Before Election" ///
			   q5_determinants_m12 ="Drivers of Stock Value Mar 12." , wrap(20) labsize(vsmall) ///
						   ) ///
    legend(off)  horizontal ciopts(lcolor(green)) mcolor(black) fysize(20)  saving("log\mediation_coefplotcompliers.gph", replace)

  
coefplot infosurvey pol_info_score econ_info_score ,  xline(.0505291, lcolor(red)) nooffset  aseq swapnames keep(assettreat) ///
 coeflabels(infosurvey = "Base ITT: Info Survey Sample [Apr 2015], N=1210" ///
               pol_info_score = "Political Platforms and Facts Score"  ///
               econ_info_score = "Economic Facts Score" , wrap(20) labsize(vsmall) ///
						   ) ///
 legend(off)  horizontal ciopts(lcolor(green)) msymbol(0) mcolor(black) fysize(20) xscale(range(0 .1))   saving("log\mediation_coefplotinfo.gph", replace)
 
coefplot july e_index_jul15  istockmktincome_cor_jul15 iisreconincome_cor_jul15 news_fin news_globe news_marker news_kalkalist news_nonfin  news_haaretz news_isrhayom  inewlitscore_jul15 , ///
  keep(assettreat) xline(.0438364, lcolor(red))   aseq swapnames legend(off) ///
   coeflabels(july = "Base ITT: Financial Follow-up Sample [Jul 2015], N=1091" ///
                e_index_jul15 = "Economic Policy Index"  ///
               istockmktincome_cor_jul15 = "Pers. Inc.-Stock Mkt Corr. Percep." ///
				iisreconincome_cor_jul15= "Pers. Inc.-Israeli Econ. Corr. Percep." ///
			    news_fin= "Reads Financial News" ///
				news_globe = "Reads Globes" ///
				news_marker = "Reads TheMarker" ///
				news_kalkalist ="Reads Kalkalist" ///
                news_nonfin= "Reads Non-Financial News" ///
				news_haaretz= "Reads Haaretz" ///
				news_isrhayom= "Reads Israel Hayom" ///
				inewlitscore_jul15= "Financial Literacy Score", wrap(20) labsize(vsmall) ) ///
  horizontal msymbol(0) ciopts(lcolor(green)) nooffset mcolor(black) saving("log\mediation_coefplotjuly.gph", replace)
 
 gr combine "log\mediationcoefplotsocial.gph" "log\mediation_coefplotjuly.gph" "log\mediation_coefplotinfo.gph"  "log\mediation_coefplotcompliers.gph"  , col(2)  saving("log/FigureA2.gph", replace)



***********************************************************************************************************
** Figure A3  How Much of the Treatment Effect on Support for Peace can be explained by Different Mechanisms?
**********************************************************************************************************



set more off
use replicationdata.dta, clear

local dem_controls="male age age2 postsecondary BA_student college_grad married tradestock6all r_trad r_relig r_ultra g_jerusalem g_north g_haifa g_telaviv g_south g_wb i.newses willingrisk1to10 patient plitscore " 
/* omitted relid is Secular, omitted nafa is Center (both largest) */


*** Run all the channels one at a time...
local update="replace"

gen e_index_s1 = e_index_init

gen e_index_s3 = e_index_i_f

gen plitscore_s1 = plitscore


foreach var in detstmangrs_m12 detstworkrs_m12 detstmacro_m12 detstdompol_m12 detstinterstate_m12 detstpolitical_m12 q5_determinants_m12 {
replace `var' = 0 if `var'==.
}


foreach var in  news_fin news_nonfin news_fin_sum news_globe news_marker news_kalkalist news_nonfin_sum news_haaretz news_isrhayom pol_info_score econ_info_score pnewlitscore_jul15 eng_z ///
 ever_actout_preel pricechange_m16 detstmangrs_m12 detstworkrs_m12 detstmacro_m12 detstdompol_m12 detstinterstate_m12 detstpolitical_m12 e_index_jul15 /// 
 stockmktincome_cor_jul15 isreconincome_cor_jul15 {
capture drop `var'_s3 
gen `var'_s3 = `var'

}

local update="replace"

areg p_index_s3 assettreat `dem_controls' left_2013 right_2013 if p_index_s3~=. , r absorb(block13)
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(assettreat) noaster label excel ctitle(s3 sample) nocons ///
	`update'
	estimates store finsocial
local update="append"
	
areg p_index_s3 asset_comp `dem_controls' left_2013 right_2013 if (asset_comp==1 | assettreat==0), r absorb(block13)
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(asset_comp) noaster label excel ctitle(s3 sample) nocons ///
	`update'
	estimates store compliers
local update="append"
	
areg p_index_s3 assettreat `dem_controls' left_2013 right_2013 if news_fin~=., r absorb(block13)
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(assettreat) noaster label excel ctitle(jul15 sample) nocons ///
	`update'
estimates store july
local update="append"

areg p_index_s3 assettreat `dem_controls' left_2013 right_2013 if pol_info_score~=., r absorb(block13)
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(assettreat) noaster label excel ctitle(info sample) nocons ///
	`update'
estimates store infosurvey
local update="append"



label var q5_determinants_m12 "Drivers of Stock Value Mar 12."
label var news_fin "Reads Financial News"
label var news_globe "Reads Fin: Globe"
label var news_marker "Reads Fin: Marker"
label var news_kalkalist "Reads Fin: Kalkalist"

label var news_nonfin "Reads Non-Financial News"
label var stockmktincome_cor_jul15 "Income-Market Correl Percep"
label var isreconincome_cor_jul15 "Income-Israel Correl Percep"

label var rtwostisrsecurityaf_s3 "Two State Soln=>Isr. Security"
label var rtwostisreconomicaf_s3 "Two State Soln=>Isr. Economy"
label var rtwostperssafetyaf_s3 "Two State Soln=>Pers. Safety"
label var rtwostperseconomicaf_s3 "Two State Soln=>Pers. Income"


foreach var in  news_fin news_nonfin news_fin_sum news_globe news_marker news_kalkalist news_nonfin_sum news_haaretz news_isrhayom pol_info_score econ_info_score ///
  pnewlitscore_jul15  eng_z  e_index_jul15 ///
 ever_actout_preel pricechange_m16   {
areg p_index_s3 assettreat `var'_s3 `dem_controls' left_2013 right_2013, r absorb(block13)
estimates store `var'
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(assettreat `var'_s3) noaster label excel ctitle(`var') nocons ///
	`update'
}


foreach var in e_index s_index b_index swb_index rtwostisrsecurityaf rtwostisreconomicaf rtwostperssafetyaf ///
rtwostperseconomicaf  mainissueecon mainissuepolsec  {
areg p_index_s3 assettreat `var'_s3 `dem_controls' left_2013 right_2013 if p_index_s3~=., r absorb(block13)
estimates store `var'
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(assettreat `var'_s3) noaster label excel ctitle(`var') nocons ///
	`update'
}

foreach var in  eng_z  ever_actout_preel   {
areg p_index_s3 asset_comp `var' `dem_controls' left_2013 right_2013 if (asset_comp==1 | assettreat==0), r absorb(block13)
estimates store `var'
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(asset_comp) noaster label excel ctitle(`var') nocons ///
	`update'
}

foreach var in rsupport_set isreconincome_cor_jul15 stockmktincome_cor_jul15  rtwostisrsecurityaf_s3 rtwostisreconomicaf_s3 rtwostperssafetyaf_s3 rtwostperseconomicaf_s3 newlitscore_jul15 {
areg p_index_s3 assettreat i.`var' `dem_controls' left_2013 right_2013 , r absorb(block13)
estimates store i`var'
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(assettreat) noaster label excel ctitle(`var') nocons `update' 
}

areg p_index_s3 asset_comp i.q5_determinants_m12 `dem_controls' left_2013 right_2013 if (asset_comp==1 | assettreat==0), r absorb(block13)
estimates store q5_determinants_m12
 outreg2 using log\mediation_pdeal ,bdec(3)  keep(asset_comp) noaster label excel ctitle(`var') nocons `update' /// 

coefplot finsocial  s_index b_index swb_index irtwostisrsecurityaf_s3 irtwostisreconomicaf_s3 irtwostperssafetyaf_s3 ///
irtwostperseconomicaf_s3  mainissueecon mainissuepolsec  , aseq swapnames nooffset  keep(assettreat) msymbol(0) ///
 coeflabels(finsocial = "Base ITT: Social Survey Sample [Mar 2015], N=1277" ///
               s_index = "Arab Social Index" ///
			   b_index ="Arab Business Index" ///
			   swb_index ="Subjective Well-Being Index" ///
			   irtwostisrsecurityaf_s3 = "Two State Soln=>Isr. Security" ///
			   irtwostisreconomicaf_s3 = "Two State Soln=>Isr. Economy" ///
			   irtwostperssafetyaf_s3 = "Two State Soln=>Pers. Safety" ///
			   irtwostperseconomicaf_s3 = "Two State Soln=>Pers. Income" ///
			   mainissueecon = "Main Issue in Election is Socioeconomic" ///
			   mainissuepolsec ="Main Issue in Election is Security", wrap(20) labsize(vsmall) ///
			   ) ///
xline(.110282, lcolor(red))  legend(off)  horizontal ciopts(lcolor(green)) label(labsize(tiny)) mcolor(black) saving("log\mediation_pdealcoefplotsocial.gph", replace)



   coefplot compliers  eng_z ever_actout_preel q5_determinants_m12 , aseq swapnames nooffset  keep(asset_comp) msymbol(0) xline(.1187809, lcolor(red)) ///
  coeflabels(compliers = "Base TE: Compliers vs Control [Mar 2015], N=1108" ///
               eng_z = "Engagement Index"  ///
               ever_actout_preel = "Traded Outside Exp. Before Election" ///
			   q5_determinants_m12 ="Drivers of Stock Value Mar 12." , wrap(20) labsize(vsmall) ///
						   ) ///
    legend(off)  horizontal ciopts(lcolor(green)) mcolor(black) fysize(20)  saving("log\mediation_pdealcoefplotcompliers.gph", replace)

  
coefplot infosurvey pol_info_score econ_info_score ,  xline(.122148, lcolor(red)) nooffset  aseq swapnames keep(assettreat) ///
 coeflabels(infosurvey = "Base ITT: Info Survey Sample [Apr 2015], N=1210" ///
               pol_info_score = "Political Platforms and Facts Score"  ///
               econ_info_score = "Economic Facts Score" , wrap(20) labsize(vsmall) ///
						   ) ///
 legend(off)  horizontal ciopts(lcolor(green)) msymbol(0) mcolor(black) fysize(20) xscale(range(0 .1))   saving("log\mediation_pdealcoefplotinfo.gph", replace)
 
coefplot july e_index_jul15  istockmktincome_cor_jul15 iisreconincome_cor_jul15 news_fin news_globe news_marker news_kalkalist news_nonfin /* news_fin_sum  news_nonfin_sum */ news_haaretz news_isrhayom  inewlitscore_jul15 , ///
  keep(assettreat) xline(.0942468, lcolor(red))   aseq swapnames legend(off) ///
   coeflabels(july = "Base ITT: Financial Follow-up Sample [Jul 2015], N=1091" ///
                e_index_jul15 = "Economic Policy Index"  ///
               istockmktincome_cor_jul15 = "Pers. Inc.-Stock Mkt Corr. Percep." ///
				iisreconincome_cor_jul15= "Pers. Inc.-Israeli Econ. Corr. Percep." ///
			    news_fin= "Reads Financial News" ///
				news_globe = "Reads Globes" ///
				news_marker = "Reads TheMarker" ///
				news_kalkalist ="Reads Kalkalist" ///
                news_nonfin= "Reads Non-Financial News" ///
				news_haaretz= "Reads Haaretz" ///
				news_isrhayom= "Reads Israel Hayom" ///
				inewlitscore_jul15= "Financial Literacy Score", wrap(20) labsize(vsmall) ) ///
  horizontal msymbol(0) ciopts(lcolor(green)) nooffset mcolor(black) saving("log\mediation_pdealcoefplotjuly.gph", replace)
 
 gr combine "log\mediation_pdealcoefplotsocial.gph" "log\mediation_pdealcoefplotjuly.gph" "log\mediation_pdealcoefplotinfo.gph"  "log\mediation_pdealcoefplotcompliers.gph"  , col(2)  saving("log/FigureA3.gph", replace)



*********************************************************************************
** Figure B1: CONSORT Diagram 
********************************************************************************
*** Please refer to text for entries.

	
***********************
** Figure B2 Asset Prices in Context
************************
capture log close
set more off
cd "`directory'"
	use "stocktimeseries.dta", clear
	set scheme s1color
	
	
	label var normprice_imp "Asset Price Ratio (Initial = 1)"
*label var date "Day"


set scheme s1color
twoway (tsline normprice_imp if ticker=="TA25", lpattern(dash) lcolor(eltblue) lwidth(thick)) ///
	(tsline normprice_imp if ticker=="PLE",  lcolor(forest_green) lwidth(thick)) ///
	(tsline normprice_imp if ticker=="BEZQ", lpattern(dash) lcolor(emidblue) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="PALTEL",   lcolor(lime) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="LUMI", lpattern(dash) lcolor(dknavy) lwidth(thin)) ///
	(tsline normprice_imp if ticker=="BOP",  lcolor(midgreen) lwidth(thin)) ///
	if date>=td(1jan2012) & date<=td(1jan2016) , tline(29jul2013) /* Gaza War starts 8jul2014 */ tline(8jul2014) tline(26aug2014) ///
	/* Gaza agreement to Cairo agreement */  tline(22jan2013) tline(13feb2015) tline(17mar2015) tline(2apr2015) /// 
	legend( position(6) label(1 "TA25") label(2 "PLE") label(3 "BEZQ") label(4 "PALTEL") label(5 "LUMI") label(6 "BOP")) ylab(,labsize(small)) xlab(,labsize(small)) saving("log\FigureB2.gph", replace) ///
	ttext(0.8 10aug2014 "Gaza War" , orientation(vertical) placement(w) size(small)) ///
	ttext(1.2 22jan2013 "2013 elections" , orientation(vertical) placement(w) size(vsmall)) ///
		ttext(0.8 29jul2013 "Peace negotiations restart" , orientation(vertical) placement(w) size(small)) ///
			ttext(1.2 17mar2015 "2015 elections" , orientation(vertical) placement(w) size(vsmall)) ///
		ttext(0.8 28mar2015 "Experiment" , orientation(vertical) placement(w) size(small)) ///
		tlabel(01jan2012 "Jan 2012" 01jan2013 "Jan 2013" 01jan2014 "Jan 2014" 01jan2015 "Jan 2015" 01jan2016 "Jan 2016" ) ///
	

*************************************
* Figures B3 and B4 are screenshots	
***************************************

	
***********************
** Figure B5 Balance Simulations
************************
capture log close
set more off
use replicationdata.dta

keep if left_s3<. // to have same population as main analysis and balance table


forvalues x=1/500 {	// this will be the seed for each iteration for 100 iterations x=1/100
set seed `x'
gen random`x' = uniform()
gen fic_treat`x'=random`x'<0.7696	// fictitious treatment. same as actual proportion of assettreat
tab fic_treat`x'

gen num_sig10_`x'=.
gen num_sig5_`x'=.

local i10=0
local i5=0
	foreach var in right_2013 left_2013 p_index_s1 e_index_init tradestock6all male age ///
	postsecondary BA_student college_grad married r_sec  r_trad r_relig r_ultra ///
	g_jerusalem g_north g_haifa g_center g_telaviv g_south g_wb faminc willingrisk1to10 patient plitscore ///
	{

		reg `var' fic_treat`x' , r
			test fic_treat`x'
			if r(p)<=0.1 {
				local i10=`i10'+1 
				}
			disp "num sig_10 is now:" `i10'

			if r(p)<=0.05 {
				local i5=`i5'+1 
				}
			disp "num sig_5 is now:" `i5'
			
	}
replace num_sig10_`x'=`i10'	// number of significant at 10% in iteration x
replace num_sig5_`x'=`i5'
}

collapse num_sig*
gen id=1
reshape long num_sig10_ num_sig5_, i(id) j(seed)	
label var num_sig10_ "Number of significant differences at 10%"
label var num_sig5_ "Number of significant differences at 5%"
*save log\balance_simulations, replace
sum num_sig*

hist num_sig10_, frac scheme(s1mono) discrete width(0.5) saving("log\FigureB5.gph", replace)

**********************************************
** Figure B6 Is Peace Settlement Zero Sum?
**********************************************
capture log close
set more off
use replicationdata.dta, clear

 capture drop zerosum2
	   recode zerosum_2016 (2 = 2) (1 3 4 = 1), gen(zerosum2)
label var zerosum2 "Who Benefits from a Two State Solution?"

capture label drop zerolbls2
		label define zerolbls2 ///
						2 "Only Palestinians" /// 
						1 "Not only Palestinians" ///

						label values zerosum2 zerolbls2

						
	twoway (histogram zerosum2 if assettreat==1, start(1) width(.2) color(orange) percent yscale(range(25 80))) ///
       (histogram zerosum2 if assettreat==0, start(1) width(.2) percent yscale(range(25 80)) xlabel(1 2, valuelabel) ///
	   fcolor(none) lcolor(black)), legend(order(1 "Treatment" 2 "Control" )) title("Who Benefits from a Two State Solution?") scale(1)  saving("log\FigureB6.gph",replace)



*********************************************************************************
** Figure B7 Trading Activity Outside Experiment
*********************************************************************************
capture log close
set more off
use replicationdata.dta, clear



capture drop tradedout buyout sellout buyintout sellintout

foreach var in  tradedout buyout sellout buyintout sellintout {
capture drop `var'1 `var'2 `var'3 `var'4 `var'5 `var'6
gen `var'1 = `var'_f19
gen `var'2 = `var'_f26
gen `var'3 = `var'_m4
gen `var'4 = `var'_m12
gen `var'5 = `var'_m19
gen `var'6 = `var'_m26

}


reshape long  tradedout buyout sellout buyintout sellintout , i(uid) j(week)
xtset uid week

tw (lpolyci tradedout week if tradestock6all==0,  ciplot(rline) legend( position(6) label(2 "Inexperienced")) ytitle("Share Trading Outside") xtitle("Week of Experiment") saving("log\tradedoutinexp.gph", replace))
tw (lpolyci tradedout week if tradestock6all==1,  ciplot(rline) legend( position(6) label(2 "Experienced")) ytitle("Share Trading Outside")  xtitle("Week of Experiment") saving("log\tradedoutexp.gph", replace))
gr combine "log\tradedoutinexp.gph" "log\tradedoutexp.gph", saving("log\tradedouttime.gph", replace)


tw (lpoly buyout week if tradestock6all==0, lcolor(green) legend( label(1 "Bought")) ) (lpoly sellout week if tradestock6all==0, lcolor(red) lpattern(dash)  legend(label(2 "Sold")) ytitle("Share of Participants") title("Inexperienced-- Any Stocks") xtitle("Week of Experiment") saving("log\boughtsoldinexp.gph", replace))
tw (lpoly buyout week if tradestock6all==1, lcolor(green) legend( label(1 "Bought")) ) (lpoly sellout week if tradestock6all==1,  lcolor(red) lpattern(dash) legend(label(2 "Sold")) ytitle("Share of Participants") title("Experienced-- Any Stocks") xtitle("Week of Experiment") saving("log\boughtsoldexp.gph", replace))

tw (lpoly buyintout week if tradestock6all==0, lcolor(green) legend( label(1 "Bought")) ) (lpoly sellintout week if tradestock6all==0, lcolor(red) lpattern(dash)  legend(label(2 "Sold")) ytitle("Share of Participants") title("Inexperienced-- Foreign Stocks") xtitle("Week of Experiment") saving("log\boughtsoldintinexp.gph", replace))
tw (lpoly buyintout week if tradestock6all==1, lcolor(green) legend( label(1 "Bought")) ) (lpoly sellintout week if tradestock6all==1,  lcolor(red) lpattern(dash) legend(label(2 "Sold")) ytitle("Share of Participants") title("Experienced-- Foreign Stocks") xtitle("Week of Experiment") saving("log\boughtsoldintexp.gph", replace))


gr combine "log\boughtsoldinexp.gph"  "log\boughtsoldintinexp.gph" "log\boughtsoldexp.gph" "log\boughtsoldintexp.gph" ,  rows(2)  saving("log\FigureB7.gph", replace)
